//Y.V.C.Rao,Heat Transfer,Universities press,2001
//Chapter-1:Introduction
//Example: 1.3 Page 9
//Title: Thickness of insulation
//======================================================
model Ex1_3
//===================
// Parameter Section
parameter Real qk(unit="W")=400"Heat Transfer Rate through the wall";
parameter Real k(unit="W/mK")=0.043"Thermal conductivity";
parameter Real T[2](each unit="C")={225,40}"Temperature of surface";
parameter Real A(unit="m^2")=1"Area";
//==================
// Variable Section
Real l(unit="cm")"Thickness of insulation";
//==================
// Equation Section 
equation
(l)=(k*100*A*(T[1]-T[2]))/qk;        //m to cm conversion   //Refer equation 1.4 on page 8
end Ex1_3;
//=======================================================
//Remarks
//The  answer may slightly vary due to  rounding off values.  The value of l(thickness) is found to be 2cm,whereas the the value of l(thickness) is 1.98875cm
